Skip to main content
GET
/
orgs
/
{org_id}
/
contacts
/
{contact_id}
/
segments
Get Contact Segments
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/segments \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "color": "red",
    "contacts_count": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

contact_id
string
required

Contact ID

Query Parameters

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required
name
string
required
color
enum<string>
required

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral
contacts_count
number
required
created_at
string<date-time>
required
updated_at
string<date-time>
required